package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Forma;
import com.realnet.basicp1.Services.FormaService ;












































@RequestMapping(value = "/Forma")
 @CrossOrigin("*") 
@RestController
public class FormaController {
	@Autowired
	private FormaService Service;

@Value("${projectPath}")
	private String projectPath;
 












































	@PostMapping("/Forma")
		  public Forma Savedata(@RequestBody Forma data) {
		Forma save = Service.Savedata(data)	;











































		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Forma/{id}")
	public  Forma update(@RequestBody Forma data,@PathVariable Integer id ) {
		Forma update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Forma/getall/page")
	public Page<Forma> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Forma> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Forma")
	public List<Forma> getdetails() {
		 List<Forma> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Forma")
	public List<Forma> getallwioutsec() {
		 List<Forma> get = Service.getdetails();		
		return get;
}
@GetMapping("/Forma/{id}")
	public  Forma  getdetailsbyId(@PathVariable Integer id ) {
		Forma  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Forma/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













































}